<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/ScopeDisplay.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::ScopeDisplay</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class ScopeDisplay

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Display.hh.html" target="detail">../Synopsis/SymbolLookup/Display.hh</a></div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line45" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ScopeDisplay-inheritance" src="ScopeDisplay-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ScopeDisplay-inheritance_map" />
<map name="ScopeDisplay-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" href="ScopeVisitor.html" shape="rect" coords="8, 7, 251, 31" />
</map>
 <div class="doc"><p>The ScopeDisplay class provides an annotated view of the symbol table,
for debugging purposes.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ScopeDisplay_lstd_mostream_A_r">ScopeDisplay</a>(std::ostream&amp; <span class="variable">os</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line48" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tScopeDisplay_l_r">~ScopeDisplay</a>()  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeDisplay_m_tScopeDisplay_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line49" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="display_lconst.Scope_S_r">display</a>(const&#160;<a href="Scope.html" >Scope</a>* <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mdisplay_lconst.Scope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line50" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateParameterScope_S_r">visit</a>(<a href="TemplateParameterScope.html" >TemplateParameterScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lTemplateParameterScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLocalScope_S_r">visit</a>(<a href="LocalScope.html" >LocalScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lLocalScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPrototypeScope_S_r">visit</a>(<a href="PrototypeScope.html" >PrototypeScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lPrototypeScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line55" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFunctionScope_S_r">visit</a>(<a href="FunctionScope.html" >FunctionScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lFunctionScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClass_S_r">visit</a>(<a href="Class.html" >Class</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lClass_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line57" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespace_S_r">visit</a>(<a href="Namespace.html" >Namespace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mvisit_lNamespace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="dump_lconst.Scope_S_r">dump</a>(const&#160;<a href="Scope.html" >Scope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mdump_lconst.Scope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;std::ostream&amp; <a class="name" id="indent_l_r">indent</a>()  </div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mindent_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::ostream&amp; <a class="name" id="my_os">my_os</a></div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mmy_os" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_indent">my_indent</a></div> <div class="xref"><a href="../../../XRef/xref24.html#Synopsis_mSymbolLookup_mScopeDisplay_mmy_indent" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line64" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
